Subject: [bug#77093] [PATCH rust-team 08/18] build/cargo: Use system jemalloc.

From: Hilton Chain <[email-masked]>
Date: Tue, 18 Mar 2025 20:09:07 +0800

On Tue, 18 Mar 2025 19:49:21 +0800,
Efraim Flashner wrote:
>
> [1  <text/plain; utf-8 (quoted-printable)>]
> I'm not sure how I feel about this one.  On one hand the
> unprefixed_malloc flag is definitely necessary.  On the other hand
> sometimes we use libjemalloc.so and sometimes libjemalloc_pic.a, and I
> don't remember when/why we use one over the other, other than "it just
> works"
>
> On Tue, Mar 18, 2025 at 03:24:21PM +0800, Hilton Chain wrote:
> > From: Efraim Flashner <[email-masked]>
> >
> > * guix/build/cargo-build-system.scm (configure): Set environment variables to
> > use system jemalloc.
> >
> > Change-Id: Ibb1c025c7354ba2befd2770e3f1ccd785baa06c3
> > Modified-by: Hilton Chain <[email-masked]>
> > ---
> >  guix/build/cargo-build-system.scm | 6 ++++++
> >  1 file changed, 6 insertions(+)

I'll drop this one for now then, I didn't search the source tree :P